
void Adc_Cfg1(void)
{
  ADC_ChannelConfTypeDef sConfig = { 0, 0, 0, 0};
  
  //  hadc1.Instance                    = ADC1;
  hadc1.Init.ClockPrescaler         = ADC_CLOCK_SYNC_PCLK_DIV2;
  hadc1.Init.Resolution             = ADC_RESOLUTION_12B;
  hadc1.Init.ScanConvMode           = ENABLE;
  hadc1.Init.ContinuousConvMode     = DISABLE;
  hadc1.Init.DiscontinuousConvMode  = DISABLE;
  hadc1.Init.ExternalTrigConvEdge   = ADC_EXTERNALTRIGCONVEDGE_RISING;
  hadc1.Init.ExternalTrigConv       = ADC_EXTERNALTRIGCONV_T3_TRGO;
  hadc1.Init.DataAlign              = ADC_DATAALIGN_RIGHT;
  hadc1.Init.NbrOfConversion        = 2;
  hadc1.Init.DMAContinuousRequests  = ENABLE;
  hadc1.Init.EOCSelection           = ADC_EOC_SINGLE_CONV;

  hadc1.State = HAL_ADC_STATE_RESET;

  my_ADC_Init4(&hadc1);

  sConfig.Channel       = ADC_CHANNEL_0;
  sConfig.Rank          = 1;
  sConfig.SamplingTime  = ADC_SAMPLETIME_3CYCLES;
  if (HAL_ADC_ConfigChannel(&hadc1, &sConfig) != HAL_OK)
  {
    Error_Handler();
  }

  sConfig.Rank          = 2;
  sConfig.SamplingTime  = ADC_SAMPLETIME_28CYCLES;
  if (HAL_ADC_ConfigChannel(&hadc1, &sConfig) != HAL_OK)
  {
    Error_Handler();
  }
}

/*
void ADC_DeInit(void)
{
  __HAL_RCC_ADC_FORCE_RESET();
  __HAL_RCC_ADC_RELEASE_RESET();  

  __HAL_RCC_ADC1_CLK_DISABLE();
}
*/
