void Dma_Init1(ADC_HandleTypeDef *hadc)
{  
//  cfgPin_Adc1();
  
  __HAL_RCC_ADC1_CLK_ENABLE();    
  __HAL_RCC_DMA2_CLK_ENABLE();

    hdma_adc1.Instance                  = DMA2_Stream0;
    hdma_adc1.Init.Channel              = DMA_CHANNEL_0;
    hdma_adc1.Init.Direction            = DMA_PERIPH_TO_MEMORY;
    hdma_adc1.Init.PeriphInc            = DMA_PINC_DISABLE;
    hdma_adc1.Init.MemInc               = DMA_MINC_ENABLE;
    hdma_adc1.Init.PeriphDataAlignment  = DMA_PDATAALIGN_HALFWORD;
    hdma_adc1.Init.MemDataAlignment     = DMA_MDATAALIGN_WORD;
    hdma_adc1.Init.Mode                 = DMA_CIRCULAR;
    hdma_adc1.Init.Priority             = DMA_PRIORITY_VERY_HIGH;
    hdma_adc1.Init.FIFOMode             = DMA_FIFOMODE_ENABLE;
    hdma_adc1.Init.FIFOThreshold        = DMA_FIFO_THRESHOLD_1QUARTERFULL;
    hdma_adc1.Init.MemBurst             = DMA_MBURST_SINGLE;
    hdma_adc1.Init.PeriphBurst          = DMA_PBURST_SINGLE;

    HAL_DMA_DeInit(&hdma_adc1);
    //  HAL_DMA_Init(&hdma_adc1);
    if (HAL_DMA_Init(&hdma_adc1) != HAL_OK)
    {
      Error_Handler();
    }

    __HAL_LINKDMA(hadc,DMA_Handle,hdma_adc1);
  
  HAL_NVIC_SetPriority(DMA2_Stream0_IRQn, 0, 0);
  HAL_NVIC_EnableIRQ(DMA2_Stream0_IRQn);
}
